"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const checkMarkerInSeries = require("./checkMarkerInSeries.js");
const MarkLineModel = require("./MarkLineModel.js");
const MarkLineView = require("./MarkLineView.js");
function install(registers) {
  registers.registerComponentModel(MarkLineModel.default);
  registers.registerComponentView(MarkLineView.default);
  registers.registerPreprocessor(function(opt) {
    if (checkMarkerInSeries.default(opt.series, "markLine")) {
      opt.markLine = opt.markLine || {};
    }
  });
}
exports.install = install;
